Bug 583949 - Review Request: rubygem-xml-simple - A simple API for XML processing
Summary: Review Request: rubygem-xml-simple - A simple API for XML processing
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mamoru TASAKA
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-04-20 10:39 UTC by Michal Fojtik
Modified: 2010-07-14 09:27 UTC (History)
3 users (show)

Fixed In Version: rubygem-xml-simple-1.0.12-3.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-12 15:24:06 UTC
mtasaka: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Michal Fojtik 2010-04-20 10:39:48 UTC
Spec URL: http://mifo.sk/RPMS/rubygem-xml-simple.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-xml-simple-1.0.12-1.fc12.src.rpm
Description: 

A simple API for XML processing.
Class XmlSimple offers an easy API to read and write XML. It is a Ruby translation of Grant McLean's Perl module XML::Simple.

Comment 1 Markus Mayer 2010-04-21 11:53:54 UTC
This is an informal review:

Good things:
MUST: The package must be named according to the  Package Naming Guidelines.
MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.
MUST: The spec file must be written in American English.
MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. (Tested on i386)
MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
MUST: Packages must NOT bundle copies of system libraries.
MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker.
MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.
MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line.
MUST: Each package must consistently use macros.
MUST: The package must contain code, or permissable content.
MUST: If a package includes something as %doc, it must not affect the runtime of the application.
MUST: Header files must be in a -devel package
MUST: Static libraries must be in a -static package.
MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}
MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
MUST: Packages containing GUI applications must include a %{name}.desktop file
MUST: Packages must not own files or directories already owned by other packages.
MUST: All filenames in rpm packages must be valid UTF-8.
MUST: The package must be licensed with a Fedora approved license and meet the  Licensing Guidelines.
MUST: The package must meet the Packaging Guidelines.
MUST: The License field in the package spec file must match the actual license.
MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
MUST: The spec file for the package MUST be legible.
SHOULD: The reviewer should test that the package builds in mock. (Tested on i386)


Bad things (need fixing):
MUST: The sources used to build the package must match the upstream source, as provided in the spec URL.
->The files are the same, but they have different timestaps. (use wget -N to keep timestamps)

MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines
->According to https://fedoraproject.org/wiki/Packaging:Ruby, Ruby packages must require ruby at build time with a BuildRequires: ruby.

MUST: Large documentation files must go in a -doc subpackage.
->Think about creating a -doc subpackage. But it is not necessary

SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it.


rpmlint output:
rubygem-xml-simple.noarch: E: script-without-shebang /usr/lib/ruby/gems/1.8/gems/xml-simple-1.0.12/lib/xmlsimple.rb
->xmlsimple.rb should not be set with executable permissions.

Comment 2 Michal Fojtik 2010-04-21 14:38:08 UTC
(In reply to comment #1)

> Bad things (need fixing):
> MUST: The sources used to build the package must match the upstream source, as
> provided in the spec URL.
> ->The files are the same, but they have different timestaps. (use wget -N to
> keep timestamps)

It should be fixed right now.

> MUST: All build dependencies must be listed in BuildRequires, except for any
> that are listed in the exceptions section of the Packaging Guidelines
> ->According to https://fedoraproject.org/wiki/Packaging:Ruby, Ruby packages
> must require ruby at build time with a BuildRequires: ruby.

Fixed. Thanks for noticing me.
 
> MUST: Large documentation files must go in a -doc subpackage.
> ->Think about creating a -doc subpackage. But it is not necessary

IMHO is not necessary and not obvious in Ruby gem packaging. Documentation is always shipped with gem.

> SHOULD: If the source package does not include license text(s) as a separate
> file from upstream, the packager SHOULD query upstream to include it.

I asked upstream for this. According to rubyforge site, licence should be correct.

> rpmlint output:
> rubygem-xml-simple.noarch: E: script-without-shebang
> /usr/lib/ruby/gems/1.8/gems/xml-simple-1.0.12/lib/xmlsimple.rb
> ->xmlsimple.rb should not be set with executable permissions.    

Fixed.

------------
Spec URL: http://mifo.sk/RPMS/rubygem-xml-simple.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-xml-simple-1.0.12-2.fc12.src.rpm

Comment 3 Markus Mayer 2010-04-21 15:11:51 UTC
Version 1.0.12-2 looks good. But as I am not sponsored yet, you have to wait for a formal review.

Comment 4 Mamoru TASAKA 2010-04-29 18:06:01 UTC
Well,

- When the source says the license is "the same terms as Ruby",
  we use "GPLv2 or Ruby" as license tag.

- BuildRoot is no longer needed on Fedora (although rpmlint may
  complain)

- I don't think your mail address in the spec file is correct.

- It is useful on Fedora CVS that you put one line between each
  %changelog entry like:

---------------------------------------------------------------------
* Tue Apr 20 2010 Michal Fojtik <mfojtik@XXXXX> - 1.0.12-2
- Fixed permissions
- Fixed timestamps

* Tue Apr 20 2010 Michal Fojtik <mfojtik@XXXXX> - 1.0.12-1
- Initial package
---------------------------------------------------------------------

Please fix the issue above when importing this package into Fedora.
-------------------------------------------------------------
   This pacakge (rubygem-xml-simple) is APPROVED by mtasaka
-------------------------------------------------------------

Markus, thank you for pre-review.

Comment 5 Michal Fojtik 2010-04-30 07:37:57 UTC
Thank you Mamoru, I fixed all issues.  Also thanks for noticing wrong email ;-)

Spec URL: http://mifo.sk/RPMS/rubygem-xml-simple.spec
SRPM URL: http://mifo.sk/RPMS/rubygem-xml-simple-1.0.12-3.fc12.src.rpm

Comment 6 Michal Fojtik 2010-04-30 07:41:07 UTC
New Package CVS Request
=======================
Package Name: rubygem-xml-simple
Short Description: A simple API for XML processing
Owners: mfojtik
Branches: F-11 F-12 F-13 EL-5

Comment 7 Kevin Fenzi 2010-04-30 17:44:31 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-05-04 10:27:39 UTC
rubygem-xml-simple-1.0.12-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/rubygem-xml-simple-1.0.12-3.fc11

Comment 9 Fedora Update System 2010-05-04 10:36:32 UTC
rubygem-xml-simple-1.0.12-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/rubygem-xml-simple-1.0.12-3.fc12

Comment 10 Fedora Update System 2010-05-04 10:40:02 UTC
rubygem-xml-simple-1.0.12-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/rubygem-xml-simple-1.0.12-3.fc13

Comment 11 Fedora Update System 2010-05-04 23:51:33 UTC
rubygem-xml-simple-1.0.12-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-xml-simple'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-xml-simple-1.0.12-3.fc13

Comment 12 Fedora Update System 2010-05-04 23:56:30 UTC
rubygem-xml-simple-1.0.12-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-xml-simple'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-xml-simple-1.0.12-3.fc12

Comment 13 Fedora Update System 2010-05-04 23:57:13 UTC
rubygem-xml-simple-1.0.12-3.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rubygem-xml-simple'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/rubygem-xml-simple-1.0.12-3.fc11

Comment 14 Mamoru TASAKA 2010-05-05 12:52:02 UTC
Please rebuild this also for F-14.

Comment 15 Mamoru TASAKA 2010-05-12 15:24:06 UTC
Closing (note that on EPEL buildroot is still needed)

Comment 16 Fedora Update System 2010-05-15 20:38:08 UTC
rubygem-xml-simple-1.0.12-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2010-05-15 20:41:37 UTC
rubygem-xml-simple-1.0.12-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2010-05-15 20:46:26 UTC
rubygem-xml-simple-1.0.12-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Michal Fojtik 2010-07-14 09:27:10 UTC
Package Change Request
======================
Package Name: rubygem-rest-client
New Branches: EL-6
Owners: mfojtik


Note You need to log in before you can comment on or make changes to this bug.